Bug Hunting Session
Bug 34311 - meta information lost when editing a calc OLE object from writer
Summary: meta information lost when editing a calc OLE object from writer
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ODF-export-invalid
  Show dependency treegraph
 
Reported: 2011-02-15 14:15 UTC by florianP
Modified: 2017-09-24 19:05 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
clean and corrupted otd files, with its template and a text.odt (40.44 KB, application/octetstream)
2011-02-15 14:15 UTC, florianP
Details

Note You need to log in before you can comment on or make changes to this bug.
Description florianP 2011-02-15 14:15:24 UTC
Created attachment 43400 [details]
clean and corrupted otd files, with its template and a text.odt

I think the meta information in my odp file is deleted when using the odt file as an OLE object from writer.

How to reproduce : (zip file included)

 In writer Insert/Object/OLE Object
   create from file 'avec_modeleOK.odt' with LINK TO FILE
   OK
 Modify OLE object :
   double click on OLE
   scroll
   click elsewhere
 Save

Actual results :
 
  File avec_modeleOK.odp has been corrupted into avec_modelePASOK.odp :
    no meta.xml when unzipping the file
    when opened in impress, File/properties : no more link to the template.


Version used :
  LibreOffice 3.3.1    OOO330m19 (Build:7)
  tag libreoffice-3.3.1.1, Debian package 1:3.3.1~rc1-2

  Also reproduced on older version openoffice 3.2.1-11 from debian package
  1:3.2.1-11+squeeze2
Comment 1 Björn Michaelsen 2011-12-23 11:52:32 UTC Comment hidden (obsolete)
Comment 2 sasha.libreoffice 2012-01-04 23:10:09 UTC
reproduced on LibO 3.5.0 beta 1 on Fedora 64 bit
Comment 3 QA Administrators 2014-06-25 17:38:00 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2015-07-18 17:44:20 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-10-23 16:22:25 UTC
Still repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: fcc2415ade6ae93710bbbda9f7e163045e323105
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-10-21_16:55:13
Locale: fi-FI (fi_FI)
Comment 6 QA Administrators 2016-11-08 11:23:25 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20161108